<?php
namespace ModulesAbstract\ElectronicInvoice\Encryption;

/**
 * Dummy class. Will not actually encrypt/decrypt anything.
 * Will return the same data as the input
 * DO NOT USE THIS FOR REAL ENCRYPTION
 */
class None extends EncryptionAbstract
{
    /**
     * Do the actual encryption
     *
     * @param string $data
     * @return string, array
     */
    public function encrypt($data)
    {
        return [$data, []];
    }

    /**
     * Do the actual decryption
     *
     * @param string $encryptedData
     * @param array $params
     * @return string
     */
    public function decrypt($encryptedData, $params = [])
    {
        return $encryptedData;
    }

}
